## clips 6.10

=== Makefile ===
OBJS = agenda.o analysis.o argacces.o bload.o bmathfun.o bsave.o \
 	classcom.o classexm.o classfun.o classinf.o classini.o \
 	classpsr.o clsltpsr.o commline.o conscomp.o constrct.o \
 	constrnt.o crstrtgy.o cstrcbin.o cstrccom.o cstrcpsr.o \
 	cstrnbin.o cstrnchk.o cstrncmp.o cstrnops.o cstrnpsr.o \
 	cstrnutl.o default.o defins.o developr.o dffctbin.o dffctbsc.o \
 	dffctcmp.o dffctdef.o dffctpsr.o dffnxbin.o dffnxcmp.o \
 	dffnxexe.o dffnxfun.o dffnxpsr.o dfinsbin.o dfinscmp.o drive.o \
 	edbasic.o edmain.o edmisc.o edstruct.o edterm.o emathfun.o \
 	engine.o evaluatn.o expressn.o exprnbin.o exprnops.o \
 	exprnpsr.o extnfunc.o factbin.o factbld.o factcmp.o factcom.o \
 	factfun.o factgen.o facthsh.o factlhs.o factmch.o factmngr.o \
 	factprt.o factrete.o factrhs.o filecom.o filertr.o generate.o \
 	genrcbin.o genrccmp.o genrccom.o genrcexe.o genrcfun.o \
 	genrcpsr.o globlbin.o globlbsc.o globlcmp.o globlcom.o \
 	globldef.o globlpsr.o immthpsr.o incrrset.o inherpsr.o \
 	inscom.o insfile.o insfun.o insmngr.o insmoddp.o insmult.o \
 	inspsr.o insquery.o insqypsr.o iofun.o lgcldpnd.o main.o \
 	memalloc.o miscfun.o modulbin.o modulbsc.o modulcmp.o moduldef.o \
 	modulpsr.o modulutl.o msgcom.o msgfun.o msgpass.o msgpsr.o \
 	multifld.o multifun.o objbin.o objcmp.o objrtbin.o objrtbld.o \
 	objrtcmp.o objrtfnx.o objrtgen.o objrtmch.o parsefun.o pattern.o \
 	pprint.o prccode.o prcdrfun.o prcdrpsr.o prdctfun.o prntutil.o \
 	proflfun.o reorder.o reteutil.o retract.o router.o rulebin.o \
 	rulebld.o rulebsc.o rulecmp.o rulecom.o rulecstr.o ruledef.o \
 	ruledlt.o rulelhs.o rulepsr.o scanner.o sortfun.o strngfun.o \
 	strngrtr.o symblbin.o symblcmp.o symbol.o sysdep.o textpro.o \
 	tmpltbin.o tmpltbsc.o tmpltcmp.o tmpltdef.o tmpltfun.o tmpltlhs.o \
 	tmpltpsr.o tmpltrhs.o tmpltutl.o userdata.o utility.o watch.o

.c.o :
	gcc -c -Wall -Wpointer-arith -Wshadow -Wcast-qual \
	    -Wcast-align -Wconversion -Wid-clash-32 -Winline \
	    -Woverloaded-virtual -Wmissing-prototypes -Wconversion \
	    -Wstrict-prototypes -Waggregate-return -Wno-implicit $<

clips : $(OBJS)
	gcc -o clips $(OBJS) -lm -ltermcap   

agenda.o: agenda.c setup.h argacces.h expressn.h exprnops.h evaluatn.h \
 constant.h symbol.h userdata.h moduldef.h constrct.h scanner.h pprint.h \
 crstrtgy.h agenda.h ruledef.h constrnt.h cstrccom.h network.h match.h \
 pattern.h reorder.h engine.h extnfunc.h memalloc.h modulutl.h reteutil.h \
 retract.h router.h prntutil.h rulebsc.h strngrtr.h sysdep.h watch.h

analysis.o: analysis.c setup.h constant.h symbol.h memalloc.h \
 exprnpsr.h extnfunc.h expressn.h exprnops.h \
 userdata.h scanner.h pprint.h reorder.h ruledef.h evaluatn.h constrct.h \
 moduldef.h constrnt.h cstrccom.h agenda.h match.h network.h pattern.h \
 generate.h router.h prntutil.h cstrnchk.h cstrnutl.h cstrnops.h \
 rulecstr.h modulutl.h analysis.h globldef.h

argacces.o: argacces.c setup.h extnfunc.h symbol.h \
 expressn.h exprnops.h userdata.h router.h prntutil.h moduldef.h \
 evaluatn.h constant.h constrct.h scanner.h pprint.h cstrnchk.h constrnt.h \
 insfun.h object.h multifld.h match.h network.h ruledef.h cstrccom.h \
 agenda.h pattern.h reorder.h factmngr.h tmpltdef.h factbld.h argacces.h

bload.o: bload.c setup.h memalloc.h exprnpsr.h \
 extnfunc.h symbol.h expressn.h exprnops.h userdata.h scanner.h pprint.h \
 argacces.h evaluatn.h constant.h moduldef.h  constrct.h router.h prntutil.h bsave.h \
 cstrnbin.h constrnt.h utility.h bload.h exprnbin.h sysdep.h symblbin.h

bmathfun.o: bmathfun.c  setup.h \
 exprnpsr.h extnfunc.h symbol.h expressn.h exprnops.h userdata.h scanner.h \
 pprint.h argacces.h evaluatn.h constant.h moduldef.h constrct.h router.h \
 prntutil.h bmathfun.h

bsave.o: bsave.c setup.h memalloc.h exprnpsr.h \
 extnfunc.h symbol.h expressn.h exprnops.h userdata.h scanner.h pprint.h \
 argacces.h evaluatn.h constant.h moduldef.h  constrct.h router.h prntutil.h cstrnbin.h \
 constrnt.h symblbin.h bload.h exprnbin.h sysdep.h bsave.h

classcom.o: classcom.c setup.h bload.h extnfunc.h symbol.h expressn.h \
 exprnops.h userdata.h exprnbin.h sysdep.h symblbin.h argacces.h evaluatn.h \
 constant.h moduldef.h constrct.h scanner.h pprint.h classfun.h object.h \
 constrnt.h multifld.h match.h network.h ruledef.h cstrccom.h agenda.h \
 pattern.h reorder.h classini.h modulutl.h msgcom.h router.h prntutil.h \
 classcom.h

classexm.o: classexm.c setup.h argacces.h \
 expressn.h exprnops.h evaluatn.h constant.h symbol.h userdata.h \
 moduldef.h constrct.h \
 scanner.h pprint.h classcom.h cstrccom.h object.h constrnt.h multifld.h \
 match.h network.h ruledef.h agenda.h pattern.h reorder.h classfun.h \
 classini.h memalloc.h insfun.h msgcom.h msgfun.h msgpass.h router.h \
 prntutil.h strngrtr.h classexm.h

classfun.o: classfun.c setup.h bload.h \
 extnfunc.h symbol.h expressn.h exprnops.h userdata.h exprnbin.h \
 sysdep.h symblbin.h classcom.h cstrccom.h moduldef.h \
 evaluatn.h constant.h constrct.h scanner.h pprint.h object.h constrnt.h \
 multifld.h match.h network.h ruledef.h agenda.h pattern.h reorder.h \
 classini.h memalloc.h cstrcpsr.h inscom.h insfun.h \
 insmngr.h modulutl.h msgfun.h msgpass.h router.h prntutil.h utility.h \
 classfun.h

classinf.o: classinf.c setup.h argacces.h expressn.h \
 exprnops.h evaluatn.h constant.h symbol.h userdata.h moduldef.h \
 constrct.h scanner.h pprint.h classcom.h cstrccom.h object.h constrnt.h \
 multifld.h match.h network.h ruledef.h agenda.h pattern.h reorder.h \
 classexm.h classfun.h classini.h memalloc.h insfun.h msgfun.h msgpass.h \
 prntutil.h classinf.h

classini.o: classini.c setup.h classcom.h cstrccom.h moduldef.h symbol.h \
 evaluatn.h constant.h expressn.h exprnops.h userdata.h constrct.h \
 scanner.h pprint.h object.h constrnt.h multifld.h match.h network.h \
 ruledef.h agenda.h pattern.h reorder.h classexm.h classfun.h classinf.h \
 classpsr.h memalloc.h cstrcpsr.h extnfunc.h \
 inscom.h modulpsr.h modulutl.h msgcom.h watch.h defins.h insquery.h \
 objbin.h objcmp.h objrtbld.h classini.h

classpsr.o: classpsr.c setup.h bload.h extnfunc.h symbol.h expressn.h \
 exprnops.h userdata.h exprnbin.h \
 sysdep.h symblbin.h classcom.h cstrccom.h \
 moduldef.h evaluatn.h constant.h constrct.h scanner.h pprint.h object.h \
 constrnt.h multifld.h match.h network.h ruledef.h agenda.h pattern.h \
 reorder.h classfun.h memalloc.h cstrcpsr.h \
 inherpsr.h modulpsr.h modulutl.h msgpsr.h clsltpsr.h router.h prntutil.h \
 classpsr.h

clsltpsr.o: clsltpsr.c setup.h classfun.h object.h \
 constrct.h moduldef.h symbol.h \
 evaluatn.h constant.h expressn.h exprnops.h userdata.h scanner.h pprint.h \
 constrnt.h multifld.h match.h network.h ruledef.h cstrccom.h agenda.h \
 pattern.h reorder.h memalloc.h cstrnchk.h cstrnpsr.h cstrnutl.h default.h \
 insfun.h prntutil.h router.h clsltpsr.h

commline.o: commline.c \
 setup.h constant.h symbol.h memalloc.h scanner.h pprint.h exprnpsr.h \
 extnfunc.h expressn.h exprnops.h userdata.h argacces.h evaluatn.h \
 moduldef.h constrct.h router.h prntutil.h strngrtr.h prcdrfun.h \
 prcdrpsr.h constrnt.h utility.h filecom.h cstrcpsr.h commline.h

conscomp.o: conscomp.c setup.h \
 symbol.h memalloc.h constant.h exprnpsr.h extnfunc.h expressn.h \
 exprnops.h userdata.h scanner.h pprint.h cstrccom.h moduldef.h evaluatn.h \
 constrct.h argacces.h cstrncmp.h constrnt.h router.h prntutil.h utility.h \
 modulcmp.h network.h match.h pattern.h reorder.h ruledef.h agenda.h \
 dffnxcmp.h dffnxfun.h tmpltcmp.h globlcmp.h genrccmp.h genrcfun.h \
 object.h multifld.h objcmp.h conscomp.h symblcmp.h

constrct.o: constrct.c \
 setup.h constant.h memalloc.h router.h prntutil.h \
 moduldef.h symbol.h evaluatn.h expressn.h exprnops.h userdata.h \
 constrct.h scanner.h pprint.h watch.h prcdrfun.h prcdrpsr.h constrnt.h \
 argacces.h exprnpsr.h extnfunc.h multifld.h utility.h commline.h

constrnt.o: constrnt.c setup.h constant.h memalloc.h \
 router.h prntutil.h moduldef.h symbol.h evaluatn.h expressn.h exprnops.h \
 userdata.h constrct.h scanner.h pprint.h extnfunc.h multifld.h constrnt.h \
 argacces.h

crstrtgy.o: crstrtgy.c setup.h constant.h pattern.h evaluatn.h symbol.h \
 expressn.h exprnops.h userdata.h scanner.h pprint.h match.h network.h \
 ruledef.h constrct.h moduldef.h constrnt.h cstrccom.h agenda.h reorder.h \
 reteutil.h argacces.h crstrtgy.h

cstrcbin.o: cstrcbin.c setup.h bload.h extnfunc.h symbol.h expressn.h \
 exprnops.h userdata.h exprnbin.h \
 sysdep.h symblbin.h bsave.h moduldef.h \
 evaluatn.h constant.h constrct.h scanner.h pprint.h cstrcbin.h

cstrccom.o: cstrccom.c \
 setup.h constant.h memalloc.h moduldef.h symbol.h \
 evaluatn.h expressn.h exprnops.h userdata.h constrct.h scanner.h pprint.h \
 argacces.h multifld.h modulutl.h router.h prntutil.h utility.h commline.h \
 bload.h extnfunc.h exprnbin.h sysdep.h symblbin.h cstrcpsr.h cstrccom.h

cstrcpsr.o: cstrcpsr.c setup.h router.h prntutil.h \
 moduldef.h symbol.h evaluatn.h constant.h expressn.h exprnops.h \
 userdata.h constrct.h scanner.h pprint.h watch.h prcdrpsr.h constrnt.h \
 exprnpsr.h extnfunc.h modulutl.h modulpsr.h utility.h cstrcpsr.h

cstrnbin.o: cstrnbin.c setup.h constant.h memalloc.h \
 router.h prntutil.h moduldef.h symbol.h \
 evaluatn.h expressn.h exprnops.h userdata.h constrct.h scanner.h pprint.h \
 bload.h extnfunc.h exprnbin.h sysdep.h symblbin.h bsave.h cstrnbin.h \
 constrnt.h

cstrnchk.o: cstrnchk.c setup.h router.h prntutil.h moduldef.h symbol.h \
 evaluatn.h constant.h expressn.h exprnops.h userdata.h constrct.h \
 scanner.h pprint.h multifld.h extnfunc.h cstrnutl.h constrnt.h cstrnchk.h

cstrncmp.o: cstrncmp.c setup.h constant.h memalloc.h \
 router.h prntutil.h moduldef.h symbol.h \
 evaluatn.h expressn.h exprnops.h userdata.h constrct.h scanner.h pprint.h \
 conscomp.h extnfunc.h symblcmp.h cstrncmp.h constrnt.h

cstrnops.o: cstrnops.c setup.h constant.h memalloc.h \
 router.h prntutil.h moduldef.h symbol.h evaluatn.h \
 expressn.h exprnops.h userdata.h constrct.h scanner.h pprint.h extnfunc.h \
 multifld.h constrnt.h cstrnchk.h cstrnutl.h cstrnops.h

cstrnpsr.o: cstrnpsr.c setup.h constant.h memalloc.h \
 router.h prntutil.h moduldef.h symbol.h evaluatn.h expressn.h exprnops.h \
 userdata.h constrct.h scanner.h pprint.h cstrnutl.h constrnt.h cstrnchk.h \
 cstrnpsr.h

cstrnutl.o: cstrnutl.c setup.h constant.h memalloc.h \
 router.h prntutil.h moduldef.h symbol.h evaluatn.h expressn.h exprnops.h \
 userdata.h constrct.h scanner.h pprint.h extnfunc.h multifld.h argacces.h \
 cstrnutl.h constrnt.h

default.o: default.c setup.h constant.h constrnt.h \
 evaluatn.h symbol.h expressn.h exprnops.h userdata.h cstrnchk.h \
 multifld.h inscom.h object.h constrct.h moduldef.h scanner.h pprint.h \
 match.h network.h ruledef.h cstrccom.h agenda.h pattern.h reorder.h \
 exprnpsr.h extnfunc.h router.h prntutil.h factmngr.h tmpltdef.h factbld.h \
 cstrnutl.h default.h

defins.o: defins.c setup.h bload.h extnfunc.h symbol.h expressn.h \
 exprnops.h userdata.h exprnbin.h \
 sysdep.h symblbin.h dfinsbin.h dfinscmp.h \
 argacces.h evaluatn.h constant.h moduldef.h constrct.h scanner.h pprint.h \
 classcom.h cstrccom.h object.h constrnt.h multifld.h match.h network.h \
 ruledef.h agenda.h pattern.h reorder.h classfun.h memalloc.h \
 cstrcpsr.h insfun.h inspsr.h modulpsr.h router.h \
 prntutil.h utility.h defins.h

developr.o: developr.c setup.h router.h \
 prntutil.h moduldef.h symbol.h evaluatn.h constant.h expressn.h \
 exprnops.h userdata.h constrct.h scanner.h pprint.h argacces.h extnfunc.h \
 modulutl.h tmpltdef.h constrnt.h factbld.h pattern.h match.h network.h \
 ruledef.h cstrccom.h agenda.h reorder.h factmngr.h multifld.h facthsh.h \
 classcom.h object.h classfun.h objrtmch.h developr.h

dffctbin.o: dffctbin.c setup.h memalloc.h dffctdef.h \
 symbol.h expressn.h exprnops.h evaluatn.h constant.h userdata.h \
 constrct.h moduldef.h scanner.h pprint.h cstrccom.h bload.h extnfunc.h \
 exprnbin.h sysdep.h symblbin.h bsave.h dffctbin.h modulbin.h cstrcbin.h
