## clips 6.30

=== debian/changelog ===
clips (6.30-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix typo in maintainer address closes: #881009
  * Don't build html files in doc package, so we can remove pdf2htmlex
    as build-dependency. closes: #952621, #934949
    - Remove Format: HTML in *.doc-base files
    - Edit Makefile in clips_docs.diff

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Mon, 30 Mar 2020 20:51:48 +0200

clips (6.30-4) unstable; urgency=medium

  * Move pdf2htmlex, sharutils to Build-Depends (Closes: #878841)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Mon, 06 Nov 2017 22:20:23 +0100

clips (6.30-3) unstable; urgency=low

  * debian/control:
     - Move clips-doc in clips from Recommends to Suggests
     - Remov clips-common from Depends in clips
     - Fix vesion number of Debian standards
     - Move pdf2htmlex, sharutils to Build-Depends-Indep
  * debian/patches/clips_improved_build.diff: Install all the
    headers file (refresh definition of HDRS)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Thu, 19 Oct 2017 23:33:08 +0200

clips (6.30-2) unstable; urgency=medium

  * debian/control: 
     - Add sharutils to Build-Deps as it is required for building the
       documentation (Closes: #878841)
     - Include contents from clips-doc package
     - Adjust description of clips-common to highlight that it provides the
       examples
     - Adjust description of clips-doc to highlight that it provides the
       documentation, and not the examples
     - Updated Standards Version, no changes required
     - Add ${misc:Depends} to packages (lintian fix)
     - Change Recommended package from 'gv' to 'evince' for pdf reader
  * debian/changelog: 
      - Integrate history of the clips-doc package
      - Document two Launchpad bugs which have been closed in previous
        package versions
  * debian/rules: 
      - Replace dh_clean -k with dh_prep (lintian fix)
      - Replace definition of INSTALL PROGRAM from 'install -c -s' to
        simply 'install' to prevent stripping the binaries (let dh_strip
        do it, which honos the nostrip build option (Closes: #436632)
      - Create clips-doc.docs and clips-common.examples so we call 
        simply dh_installdocs and dh_installexamples (without -p) in the
        binary indep target
  * debian/clips.1: 
    - Comment reference to help file as it is not currently provided
    - Remove reference to the clips-doc package, refer to clips-common instead
    - Adjust reference to documentation, FAQ is no longer provided but PDF and
      HTML manuals area
  * debian/clips-doc.doc-base.{abstracts,apg,architecture,bpg,ig,usrguide}:
     Move here from the clips-doc package to keep all the content in the same
     location. Add references to HTML documentation.
  * debian/README.Debian: adjust references, improve wording and update
    HTTP links
  * debian/patches/clips_improved_build.diff: Do not strip binaries in
    libraries, let dh_strip do it for us. This makes it possible to honor
    the nostrip build option (Closes: #436632)
  * debian/watch: Add based on the patch provided by Joao Eriberto Mota Filho 
    for the clips-doc package

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Tue, 17 Oct 2017 01:26:11 +0200

clips (6.30-1) unstable; urgency=medium

  * New upstream release (Closes: #539068)
  * debian/rules: 
     - Update to use the new directory where the source is held (core/ instead
       of clipssrc/)
     - Remove code related to documentation, as this has been moved to a patch
     - Add rules to build architecture independent packages (build HTML from
       PDF files)
  * debian/control:
    - Update Homepage to http://www.clipsrules.net/
    - Do not make a reference to specific versions in the package description
    - Use proper encoding in maintainer's surname
    - Rename libclips packages to libclips6
    - Build-depend on pdf2htmlex, as this is used to build the HTML files
  * Switch to 3.0 quilt source format (create debian/source/format)
  * debian/clips.desktop: Remoe empty Mime definition that led to Lintian 
    warning
  * debian/patches: Split the patches included in the Debian package into
    independent patches to make updating to new upstream releases easier to
    manage.

    Patches enabled:
    - clips_improved_build.diff: Improved build system, this is used instead
      of upstream's to build the clips binary and library
    - clips_docs.diff: Patch to include documentation provided upstream
    - clips_examples.diff: Patch to include the examples provided upstream,
      examples have been updated to the ones provided in version 6.30. Some
      older examples are povided too.

    Disabled patches (to be removed in future releases):
    - clips_patch_docs.diff: Patch to provide FAQ documentation available in
      website (outdated)
    - clips_remove_logos.diff: Patch to clean docs and remove lintian errors and
      warnings
    - clips_remove_logos.diff: Patch to clean docs and remove lintian errors and
    - clips_help_file.diff: New patch to update the help file (clips.hlp)
      updating the information describing where source code, documentation and
      support can be found. 
    - clips_update_help_file.diff: Update to the help file originally provided
      in 6.24
    - clips_x.diff, clips_patch_x.diff: Patch to include the Xclips binary
  * core/Makefile.in: 
     - Move library definitions to the end to fix build errors in Ubuntu natty
       (Closes: #616327) (LP: #728438)
     - Update to include all objects in library sources so all functions are
       available there 
  * core/configure.in: Do not update setup.h from setup.h.in, keep as upstream 
    povides to ensure all the functionality is enabled such as the fact-set
    query functions (Closes: #508946) (LP: #1027355)
  * Remove empty postinst/prerm scripts, let debhelper do it all 
    (Closes: #866298, #866281)


