=== debian/control ===
Source: clips
Section: interpreters
Priority: optional
Maintainer: Javier Fernández-Sanguino Peña <jfs@debian.org>
Build-Depends: libncurses-dev, debhelper (>= 10~), sharutils
Standards-Version:  4.1.1
Homepage: http://www.clipsrules.net/

Package: clips
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: clips-common
Suggests: clips-doc
Description: "C" Language Integrated Production System 
 CLIPS is an OPS-like forward chaining production system written 
 in ANSI C by NASA. The CLIPS inference engine includes truth maintenance, 
 dynamic rule addition, and customizable conflict resolution strategies. 
 . 
 CLIPS, including the runtime version, is easily embeddable in other
 applications.  CLIPS includes an object-oriented language called COOL
 (CLIPS Object-Oriented Language) which is directly integrated with the
 inference engine.


Package: libclips
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends} 
Description: CLIPS shared libraries
 CLIPS is an OPS-like forward chaining production system written 
 in ANSI C by NASA. The CLIPS inference engine includes truth maintenance, 
 dynamic rule addition, and customizable conflict resolution strategies. 
 . 
 CLIPS, including the runtime version, is easily embeddable in other
 applications.  CLIPS includes an object-oriented language called COOL
 (CLIPS Object-Oriented Language) which is directly integrated with the
 inference engine.
 .
 This package installs the required shared libraries.

Package: libclips-dev
Architecture: any
Section: libdevel
Depends: libclips  (= ${binary:Version}), libc6-dev, ${misc:Depends}
Description: CLIPS shared libraries
 CLIPS is an OPS-like forward chaining production system written 
 in ANSI C by NASA. The CLIPS inference engine includes truth maintenance, 
 dynamic rule addition, and customizable conflict resolution strategies. 
 . 
 CLIPS, including the runtime version, is easily embeddable in other
 applications.  CLIPS includes an object-oriented language called COOL
 (CLIPS Object-Oriented Language) which is directly integrated with the
 inference engine.
 .
 This package installs the static libraries and headers.

Package: clips-common
Architecture: all
Depends: ${misc:Depends}
Recommends: clips, clips-doc
Description: CLIPS common files and examples
 CLIPS is an OPS-like forward chaining production system written 
 in ANSI C by NASA. The CLIPS inference engine includes truth maintenance, 
 dynamic rule addition, and customizable conflict resolution strategies. 
 . 
 This package installs the common files for the program. It currently includes
 several examples of CLIPS programs that can be used to learn the language and
 test its interfaces.

Package: clips-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: clips, evince | pdf-viewer
Description: "C" Language Integrated Production System Documentation
 CLIPS is an OPS-like forward chaining production system written 
 in ANSI C by NASA. The CLIPS inference engine includes truth maintenance, 
 dynamic rule addition, and customizable conflict resolution strategies. 
 . 
 This package contains the CLIPS documentation including the user's guide,
 basic and advanced programming guide and the interfaces guide.
