=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

# There used to be `source' and `diff' targets in this file, and many
# packages also had `changes' and `dist' targets.  These functions
# have been taken over by dpkg-source, dpkg-genchanges and
# dpkg-buildpackage in a package-independent way, and so these targets
# are obsolete.

#export DH_VERBOSE=1
export DH_OPTIONS

package=clips

core/configure: core/configure.in
	cd core && autoconf
	cd core && chmod a+x ./configure ./mkinstalldirs

x-prjct/xinterface/configure: x-prjct/xinterface/configure.in
	cd x-prjct/xinterface && autoconf

configure: core/configure.status
core/configure.status:
	dh_testdir
	cd core && sh ./configure --prefix=$(CURDIR)/debian/clips/usr 

build-arch: build-arch-stamp
build-arch-stamp: configure
	dh_testdir
	cd core && $(MAKE) -f Makefile clips
	touch $@

build-indep: build-indep-stamp
build-indep-stamp: 
	dh_testdir
	cd doc && $(MAKE) -f Makefile all
	touch $@

build: build-arch-stamp build-indep-stamp

clean:
	dh_testdir
	dh_testroot
	-rm -f build configure 
	cd core && ( $(MAKE) -i distclean || $(MAKE) -f Makefile.in distclean )
	cd doc &&  $(MAKE) -i distclean 
	dh_clean build-arch-stamp build-indep-stamp


install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_prep
	dh_installdirs -a
	cd core && $(MAKE) -f Makefile INSTALL_PROGRAM='install' \
		prefix=$(CURDIR)/debian/libclips/usr install-libs
	# Fix for lib files
	rm `pwd`/debian/libclips/usr/lib/libclips.a 
	rm `pwd`/debian/libclips/usr/lib/libclips.so
	cd core && $(MAKE) -f Makefile INSTALL_PROGRAM='install' \
		prefix=$(CURDIR)/debian/clips/usr install-bin
	cd core && $(MAKE) -f Makefile INSTALL_PROGRAM='install' \
		prefix=$(CURDIR)/debian/libclips-dev/usr install-includes
	install -m655 core/libclips.a `pwd`/debian/libclips-dev/usr/lib/
	[ ! -e `pwd`/debian/libclips-dev/usr/lib/libclips.so ] || ( cd `pwd`/debian/libclips-dev/usr/lib && ln -s libclips.so.6.30 libclips.so )
	# Remove empty dirs created by the install target
	[ ! -d $(CURDIR)/debian/clips/usr/share/clips ] || rmdir $(CURDIR)/debian/clips/usr/share/clips
	[ ! -d $(CURDIR)/debian/libclips-dev/usr/share/doc/clips ] || rmdir $(CURDIR)/debian/libclips-dev/usr/share/doc/clips
	# Install desktop file
	install -m 644 debian/clips.xpm $(CURDIR)/debian/clips/usr/share/pixmaps
	install -m 644 debian/clips.desktop $(CURDIR)/debian/clips/usr/share/applications


binary-indep: DH_OPTIONS=-i
binary-indep: 
	dh_testdir
	dh_testroot
	dh_installdirs
# Note: this apparently does not work properly yet,
#	dh_installdocs -pclips-doc --doc-main-package=clips 
	dh_installdocs 
# Note: this apparently does not work properly yet,
#	dh_installexamples -pclips-common --doc-main-package=clips examples/*
	dh_installexamples
	dh_installman
	dh_installinfo
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: DH_OPTIONS=-a
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installdirs
	dh_installdocs
	dh_installmenu
	dh_installcron
	dh_installman
	dh_installinfo
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

# Rules to build the xclips sources
# Note: currently not used in the package
configure-x: x-prjct/xinterface/configure.status
x-prjct/xinterface/configure.status:
	dh_testdir
	cd x-prjct/xinterface && sh ./configure  \
		--prefix=$(CURDIR)/debian/clips/usr/ \
		--enable-xclips --with-clipssrc=../../core/ 
	cd core && sh ./configure --prefix=$(CURDIR)/debian/xclips/usr 

build-x: build-x-stamp
build-x-stamp: configure-x
	dh_testdir
	cd x-prjct/xinterface && $(MAKE) -f Makefile xclips 
	touch $@

clean-x:
	dh_testdir
	dh_testroot
	-rm -f build-x configure-x
	cd x-prjct/xinterface && ( $(MAKE) -i distclean || $(MAKE) -f Makefile.in distclean )
	dh_clean build-stamp 

install-x: DH_OPTIONS=
install-x: build-x
	cd x-prjct/xinterface && $(MAKE) -f Makefile \
		INSTALL_PROGRAM='install -c -s' \
		prefix=$(CURDIR)/debian/xclips/usr install-bin 
	install -m644 Xclips $(CURDIR)/debian/xclips/etc/X11/app-defaults/Xclips
	# Remove empty dirs created by the install target
	[ ! -d $(CURDIR)/debian/xclips/usr/share/clips ] || rmdir $(CURDIR)/debian/xclips/usr/share/clips
	# Install desktop file for Xversion
	install -m 644 debian/xclips.desktop $(CURDIR)/debian/xclips/usr/share/applications

.PHONY: build build-arch build-indep build-x clean binary binary-arch binary-indep install
