=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)/$1\./ http://sf.net/clipsrules/ .*/clips_core_source_(\d+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

# For documentation:
#http://sf.net/clipsrules/ .*/clips_documentation_(\d+).zip
